# std::condition_variable_any Class Reference
[Condition Variables]

condition_variable_any More...

List of all members.

## Public Types

- typedef
  condition_variable::native_handle_type native_handle_type

## Public Member Functions

- condition_variable_any (const condition_variable_any &)
- native_handle_type native_handle ()
- void notify_all ()
- void notify_one ()
- condition_variable_any & operator= (const condition_variable_any &)
- template<typename _Lock , typename _Predicate > void wait (_Lock &__lock, _Predicate __p)
- template<typename _Lock > void wait (_Lock &__lock)
- template<typename _Lock , typename _Rep , typename _Period , typename _Predicate > bool wait_for (_Lock &__lock, const chrono::duration< _Rep, _Period > &__rtime, _Predicate __p)
- template<typename _Lock , typename _Rep , typename _Period > cv_status wait_for (_Lock &__lock, const chrono::duration< _Rep, _Period > &__rtime)
- template<typename _Lock , typename _Clock , typename _Duration > cv_status wait_until (_Lock &__lock, const chrono::time_point< _Clock, _Duration > &__atime)
- template<typename _Lock , typename _Clock , typename _Duration , typename _Predicate > bool wait_until (_Lock &__lock, const chrono::time_point< _Clock, _Duration > &__atime, _Predicate __p)

## Detailed Description

condition_variable_any

Definition at line 166 of file condition_variable.

The documentation for this class was generated from the following file:

- condition_variable